checkRequire("Lua_FriendBasePanel");
Lua_FriendPanel = class("Lua_FriendPanel", Lua_FriendBasePanel);
function Lua_FriendPanel:ctor(p)
    self:superCall("ctor", p, "FriendPanel_skin", Lua_FriendData.FRIEND_TYPE);
end

function Lua_FriendPanel:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_FriendPanel:setPanelData()
    self:superCall("setPanelData");

    local maxCount = getConfig("friend_const","friend_limit", "value");
    local friendCount = #DataCenter.friendData:getFriendType(Lua_FriendData.FRIEND_TYPE):getFriendList();
    self.friendCount.text = friendCount.."/"..maxCount;
end

function Lua_FriendPanel:dispose()
    self:superCall("dispose");
end